Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Highlighted
New Developer
Posts: 23
Registered: ‎04-01-2010
My Device: 9700
My Carrier: student
Accepted Solution

Java installation error

Dears 

 

 

 

I'm new to blackberry development, I have tried to build application it run normally @ the emulator but id didn't run on the blackberry.

I have pushes the sign key and sign my application but the error still as it

I'm using eclipse IDE and blacke berry ide (under java), 

building steps: build all ==> sign the *.cod ==> then I send the jar file to my Black berry when I'm trying to install it i receive the following error "907 invalid jar descriptor missing required attribute: midlet-1" 

note: I'm not using midlet technology. 

 

Best regards

Developer
Posts: 159
Registered: ‎08-19-2008
My Device: Not Specified

Re: Java installation error

Please check the blackberry JDE from which u r developing & device OS.........Your blackberry JDE version should be lower than target OS of your device.

New Developer
Posts: 23
Registered: ‎04-01-2010
My Device: 9700
My Carrier: student

Re: Java installation error

the version of my BB is 4.6.1.286 and i'm using 5.0 JDE

Developer
Posts: 159
Registered: ‎08-19-2008
My Device: Not Specified

Re: Java installation error

Definitely it will give error man..........as i told you , your blackberry JDE version should be lower than your target device OS..............you need to compile your code with BB JDE 4.6..............

New Developer
Posts: 23
Registered: ‎04-01-2010
My Device: 9700
My Carrier: student

Re: Java installation error

sorry 

 

but i changed the JDE to the 4.5.0 

 

(eclipse toolbar ==> blackberry ==>configure blackberry workspace ==> blackberry JDE ==> installed component ==> blackberry component package 4.5.0 )

 

 

but unfortunately same error 

Developer
Posts: 4,764
Registered: ‎07-21-2008
My Device: Not Specified

Re: Java installation error

I searched for your error message and found dozens of posts on the subject.

 

Here is one:

 

http://supportforums.blackberry.com/t5/Java-Development/Please-Help-jar-error-Descriptor-missing-req...

 

I suggest that you also gain proficiency in using the search button.

 

New Developer
Posts: 23
Registered: ‎04-01-2010
My Device: 9700
My Carrier: student

Re: Java installation error

thx for your reply but no result was found, i have just jump from thread to another and i didn't found any think

New Developer
Posts: 23
Registered: ‎04-01-2010
My Device: 9700
My Carrier: student

Re: Java installation error

regarding the topic

 

 

i'm sending just the jar file to the blackberry (download via http connection), id there is other required component should is copy it to the handset

 

regards

Developer
Posts: 4,764
Registered: ‎07-21-2008
My Device: Not Specified

Re: Java installation error

[ Edited ]

JAR file?

 

You should be pointing your browser at the JAD file, not the JAR file.

 

You deploy OTA by placing the JAD and the COD files on your server.

 

BTW, use this search:

 

"907 invalid jar descriptor missing required attribute"

 

and you will find many potential solutions.